<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class CountrySeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        foreach ($this->countryLists() as $country) {
            $c = \App\Models\Country::where('iso2', '=', $country['iso2'])
                ->where('iso3', '=', $country['iso3'])->first();

            if (! $c) {
                $c = new \App\Models\Country();
                foreach ($country as $f => $v) {
                    $c->$f = $v;
                }
                $c->ext = '+'.$c->ext;
                if ($c->iso2 == \App\Config::DEFAULT_COUNTRY_CODE) {
                    $c->status = 1;
                }
                $c->save();
            }
        }
    }

    protected function countryLists()
    {
        return [
            ['name' => 'Afghanistan', 'ext' => '93', 'iso2' => 'AF', 'iso3' => 'AFG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Albania', 'ext' => '355', 'iso2' => 'AL', 'iso3' => 'ALB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Algeria', 'ext' => '213', 'iso2' => 'DZ', 'iso3' => 'DZA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'American Samoa', 'ext' => '1-684', 'iso2' => 'AS', 'iso3' => 'ASM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Andorra', 'ext' => '376', 'iso2' => 'AD', 'iso3' => 'AND', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Angola', 'ext' => '244', 'iso2' => 'AO', 'iso3' => 'AGO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Anguilla', 'ext' => '1-264', 'iso2' => 'AI', 'iso3' => 'AIA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Antarctica', 'ext' => '672', 'iso2' => 'AQ', 'iso3' => 'ATA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Antigua and Barbuda', 'ext' => '1-268', 'iso2' => 'AG', 'iso3' => 'ATG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Argentina', 'ext' => '54', 'iso2' => 'AR', 'iso3' => 'ARG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Armenia', 'ext' => '374', 'iso2' => 'AM', 'iso3' => 'ARM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Aruba', 'ext' => '297', 'iso2' => 'AW', 'iso3' => 'ABW', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Australia', 'ext' => '61', 'iso2' => 'AU', 'iso3' => 'AUS', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Austria', 'ext' => '43', 'iso2' => 'AT', 'iso3' => 'AUT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Azerbaijan', 'ext' => '994', 'iso2' => 'AZ', 'iso3' => 'AZE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bahamas', 'ext' => '1-242', 'iso2' => 'BS', 'iso3' => 'BHS', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bahrain', 'ext' => '973', 'iso2' => 'BH', 'iso3' => 'BHR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bangladesh', 'ext' => '880', 'iso2' => 'BD', 'iso3' => 'BGD', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Barbados', 'ext' => '1-246', 'iso2' => 'BB', 'iso3' => 'BRB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Belarus', 'ext' => '375', 'iso2' => 'BY', 'iso3' => 'BLR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Belgium', 'ext' => '32', 'iso2' => 'BE', 'iso3' => 'BEL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Belize', 'ext' => '501', 'iso2' => 'BZ', 'iso3' => 'BLZ', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Benin', 'ext' => '229', 'iso2' => 'BJ', 'iso3' => 'BEN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bermuda', 'ext' => '1-441', 'iso2' => 'BM', 'iso3' => 'BMU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bhutan', 'ext' => '975', 'iso2' => 'BT', 'iso3' => 'BTN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bolivia', 'ext' => '591', 'iso2' => 'BO', 'iso3' => 'BOL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bosnia and Herzegovina', 'ext' => '387', 'iso2' => 'BA', 'iso3' => 'BIH', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Botswana', 'ext' => '267', 'iso2' => 'BW', 'iso3' => 'BWA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Brazil', 'ext' => '55', 'iso2' => 'BR', 'iso3' => 'BRA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'British Indian Ocean Territory', 'ext' => '246', 'iso2' => 'IO', 'iso3' => 'IOT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'British Virgin Islands', 'ext' => '1-284', 'iso2' => 'VG', 'iso3' => 'VGB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Brunei', 'ext' => '673', 'iso2' => 'BN', 'iso3' => 'BRN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Bulgaria', 'ext' => '359', 'iso2' => 'BG', 'iso3' => 'BGR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Burkina Faso', 'ext' => '226', 'iso2' => 'BF', 'iso3' => 'BFA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Burundi', 'ext' => '257', 'iso2' => 'BI', 'iso3' => 'BDI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cambodia', 'ext' => '855', 'iso2' => 'KH', 'iso3' => 'KHM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cameroon', 'ext' => '237', 'iso2' => 'CM', 'iso3' => 'CMR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Canada', 'ext' => '1', 'iso2' => 'CA', 'iso3' => 'CAN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cape Verde', 'ext' => '238', 'iso2' => 'CV', 'iso3' => 'CPV', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cayman Islands', 'ext' => '1-345', 'iso2' => 'KY', 'iso3' => 'CYM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Central African Republic', 'ext' => '236', 'iso2' => 'CF', 'iso3' => 'CAF', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Chad', 'ext' => '235', 'iso2' => 'TD', 'iso3' => 'TCD', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Chile', 'ext' => '56', 'iso2' => 'CL', 'iso3' => 'CHL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'China', 'ext' => '86', 'iso2' => 'CN', 'iso3' => 'CHN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Christmas Island', 'ext' => '61', 'iso2' => 'CX', 'iso3' => 'CXR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cocos Islands', 'ext' => '61', 'iso2' => 'CC', 'iso3' => 'CCK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Colombia', 'ext' => '57', 'iso2' => 'CO', 'iso3' => 'COL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Comoros', 'ext' => '269', 'iso2' => 'KM', 'iso3' => 'COM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cook Islands', 'ext' => '682', 'iso2' => 'CK', 'iso3' => 'COK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Costa Rica', 'ext' => '506', 'iso2' => 'CR', 'iso3' => 'CRI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Croatia', 'ext' => '385', 'iso2' => 'HR', 'iso3' => 'HRV', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cuba', 'ext' => '53', 'iso2' => 'CU', 'iso3' => 'CUB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Curacao', 'ext' => '599', 'iso2' => 'CW', 'iso3' => 'CUW', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Cyprus', 'ext' => '357', 'iso2' => 'CY', 'iso3' => 'CYP', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Czech Republic', 'ext' => '420', 'iso2' => 'CZ', 'iso3' => 'CZE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Democratic Republic of the Congo', 'ext' => '243', 'iso2' => 'CD', 'iso3' => 'COD', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Denmark', 'ext' => '45', 'iso2' => 'DK', 'iso3' => 'DNK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Djibouti', 'ext' => '253', 'iso2' => 'DJ', 'iso3' => 'DJI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Dominica', 'ext' => '1-767', 'iso2' => 'DM', 'iso3' => 'DMA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Dominican Republic', 'ext' => '1-809', 'iso2' => 'DO', 'iso3' => 'DOM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'East Timor', 'ext' => '670', 'iso2' => 'TL', 'iso3' => 'TLS', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Ecuador', 'ext' => '593', 'iso2' => 'EC', 'iso3' => 'ECU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Egypt', 'ext' => '20', 'iso2' => 'EG', 'iso3' => 'EGY', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'El Salvador', 'ext' => '503', 'iso2' => 'SV', 'iso3' => 'SLV', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Equatorial Guinea', 'ext' => '240', 'iso2' => 'GQ', 'iso3' => 'GNQ', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Eritrea', 'ext' => '291', 'iso2' => 'ER', 'iso3' => 'ERI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Estonia', 'ext' => '372', 'iso2' => 'EE', 'iso3' => 'EST', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Ethiopia', 'ext' => '251', 'iso2' => 'ET', 'iso3' => 'ETH', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Falkland Islands', 'ext' => '500', 'iso2' => 'FK', 'iso3' => 'FLK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Faroe Islands', 'ext' => '298', 'iso2' => 'FO', 'iso3' => 'FRO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Fiji', 'ext' => '679', 'iso2' => 'FJ', 'iso3' => 'FJI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Finland', 'ext' => '358', 'iso2' => 'FI', 'iso3' => 'FIN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'France', 'ext' => '33', 'iso2' => 'FR', 'iso3' => 'FRA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'French Polynesia', 'ext' => '689', 'iso2' => 'PF', 'iso3' => 'PYF', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Gabon', 'ext' => '241', 'iso2' => 'GA', 'iso3' => 'GAB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Gambia', 'ext' => '220', 'iso2' => 'GM', 'iso3' => 'GMB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Georgia', 'ext' => '995', 'iso2' => 'GE', 'iso3' => 'GEO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Germany', 'ext' => '49', 'iso2' => 'DE', 'iso3' => 'DEU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Ghana', 'ext' => '233', 'iso2' => 'GH', 'iso3' => 'GHA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Gibraltar', 'ext' => '350', 'iso2' => 'GI', 'iso3' => 'GIB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Greece', 'ext' => '30', 'iso2' => 'GR', 'iso3' => 'GRC', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Greenland', 'ext' => '299', 'iso2' => 'GL', 'iso3' => 'GRL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Grenada', 'ext' => '1-473', 'iso2' => 'GD', 'iso3' => 'GRD', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Guam', 'ext' => '1-671', 'iso2' => 'GU', 'iso3' => 'GUM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Guatemala', 'ext' => '502', 'iso2' => 'GT', 'iso3' => 'GTM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Guernsey', 'ext' => '44-1481', 'iso2' => 'GG', 'iso3' => 'GGY', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Guinea', 'ext' => '224', 'iso2' => 'GN', 'iso3' => 'GIN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Guinea-Bissau', 'ext' => '245', 'iso2' => 'GW', 'iso3' => 'GNB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Guyana', 'ext' => '592', 'iso2' => 'GY', 'iso3' => 'GUY', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Haiti', 'ext' => '509', 'iso2' => 'HT', 'iso3' => 'HTI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Honduras', 'ext' => '504', 'iso2' => 'HN', 'iso3' => 'HND', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Hong Kong', 'ext' => '852', 'iso2' => 'HK', 'iso3' => 'HKG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Hungary', 'ext' => '36', 'iso2' => 'HU', 'iso3' => 'HUN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Iceland', 'ext' => '354', 'iso2' => 'IS', 'iso3' => 'ISL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'India', 'ext' => '91', 'iso2' => 'IN', 'iso3' => 'IND', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Indonesia', 'ext' => '62', 'iso2' => 'ID', 'iso3' => 'IDN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Iran', 'ext' => '98', 'iso2' => 'IR', 'iso3' => 'IRN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Iraq', 'ext' => '964', 'iso2' => 'IQ', 'iso3' => 'IRQ', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Ireland', 'ext' => '353', 'iso2' => 'IE', 'iso3' => 'IRL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Isle of Man', 'ext' => '44-1624', 'iso2' => 'IM', 'iso3' => 'IMN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Israel', 'ext' => '972', 'iso2' => 'IL', 'iso3' => 'ISR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Italy', 'ext' => '39', 'iso2' => 'IT', 'iso3' => 'ITA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Ivory Coast', 'ext' => '225', 'iso2' => 'CI', 'iso3' => 'CIV', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Jamaica', 'ext' => '1-876', 'iso2' => 'JM', 'iso3' => 'JAM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Japan', 'ext' => '81', 'iso2' => 'JP', 'iso3' => 'JPN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Jersey', 'ext' => '44-1534', 'iso2' => 'JE', 'iso3' => 'JEY', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Jordan', 'ext' => '962', 'iso2' => 'JO', 'iso3' => 'JOR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Kazakhstan', 'ext' => '7', 'iso2' => 'KZ', 'iso3' => 'KAZ', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Kenya', 'ext' => '254', 'iso2' => 'KE', 'iso3' => 'KEN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Kiribati', 'ext' => '686', 'iso2' => 'KI', 'iso3' => 'KIR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Kosovo', 'ext' => '383', 'iso2' => 'XK', 'iso3' => 'XKX', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Kuwait', 'ext' => '965', 'iso2' => 'KW', 'iso3' => 'KWT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Kyrgyzstan', 'ext' => '996', 'iso2' => 'KG', 'iso3' => 'KGZ', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Laos', 'ext' => '856', 'iso2' => 'LA', 'iso3' => 'LAO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Latvia', 'ext' => '371', 'iso2' => 'LV', 'iso3' => 'LVA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Lebanon', 'ext' => '961', 'iso2' => 'LB', 'iso3' => 'LBN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Lesotho', 'ext' => '266', 'iso2' => 'LS', 'iso3' => 'LSO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Liberia', 'ext' => '231', 'iso2' => 'LR', 'iso3' => 'LBR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Libya', 'ext' => '218', 'iso2' => 'LY', 'iso3' => 'LBY', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Liechtenstein', 'ext' => '423', 'iso2' => 'LI', 'iso3' => 'LIE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Lithuania', 'ext' => '370', 'iso2' => 'LT', 'iso3' => 'LTU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Luxembourg', 'ext' => '352', 'iso2' => 'LU', 'iso3' => 'LUX', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Macau', 'ext' => '853', 'iso2' => 'MO', 'iso3' => 'MAC', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Macedonia', 'ext' => '389', 'iso2' => 'MK', 'iso3' => 'MKD', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Madagascar', 'ext' => '261', 'iso2' => 'MG', 'iso3' => 'MDG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Malawi', 'ext' => '265', 'iso2' => 'MW', 'iso3' => 'MWI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Malaysia', 'ext' => '60', 'iso2' => 'MY', 'iso3' => 'MYS', 'currency_prefix' => 'RM', 'currency_suffix' => ''],
            ['name' => 'Maldives', 'ext' => '960', 'iso2' => 'MV', 'iso3' => 'MDV', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Mali', 'ext' => '223', 'iso2' => 'ML', 'iso3' => 'MLI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Malta', 'ext' => '356', 'iso2' => 'MT', 'iso3' => 'MLT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Marshall Islands', 'ext' => '692', 'iso2' => 'MH', 'iso3' => 'MHL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Mauritania', 'ext' => '222', 'iso2' => 'MR', 'iso3' => 'MRT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Mauritius', 'ext' => '230', 'iso2' => 'MU', 'iso3' => 'MUS', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Mayotte', 'ext' => '262', 'iso2' => 'YT', 'iso3' => 'MYT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Mexico', 'ext' => '52', 'iso2' => 'MX', 'iso3' => 'MEX', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Micronesia', 'ext' => '691', 'iso2' => 'FM', 'iso3' => 'FSM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Moldova', 'ext' => '373', 'iso2' => 'MD', 'iso3' => 'MDA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Monaco', 'ext' => '377', 'iso2' => 'MC', 'iso3' => 'MCO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Mongolia', 'ext' => '976', 'iso2' => 'MN', 'iso3' => 'MNG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Montenegro', 'ext' => '382', 'iso2' => 'ME', 'iso3' => 'MNE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Montserrat', 'ext' => '1-664', 'iso2' => 'MS', 'iso3' => 'MSR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Morocco', 'ext' => '212', 'iso2' => 'MA', 'iso3' => 'MAR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Mozambique', 'ext' => '258', 'iso2' => 'MZ', 'iso3' => 'MOZ', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Myanmar', 'ext' => '95', 'iso2' => 'MM', 'iso3' => 'MMR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Namibia', 'ext' => '264', 'iso2' => 'NA', 'iso3' => 'NAM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Nauru', 'ext' => '674', 'iso2' => 'NR', 'iso3' => 'NRU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Nepal', 'ext' => '977', 'iso2' => 'NP', 'iso3' => 'NPL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Netherlands', 'ext' => '31', 'iso2' => 'NL', 'iso3' => 'NLD', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Netherlands Antilles', 'ext' => '599', 'iso2' => 'AN', 'iso3' => 'ANT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'New Caledonia', 'ext' => '687', 'iso2' => 'NC', 'iso3' => 'NCL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'New Zealand', 'ext' => '64', 'iso2' => 'NZ', 'iso3' => 'NZL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Nicaragua', 'ext' => '505', 'iso2' => 'NI', 'iso3' => 'NIC', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Niger', 'ext' => '227', 'iso2' => 'NE', 'iso3' => 'NER', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Nigeria', 'ext' => '234', 'iso2' => 'NG', 'iso3' => 'NGA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Niue', 'ext' => '683', 'iso2' => 'NU', 'iso3' => 'NIU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'North Korea', 'ext' => '850', 'iso2' => 'KP', 'iso3' => 'PRK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Northern Mariana Islands', 'ext' => '1-670', 'iso2' => 'MP', 'iso3' => 'MNP', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Norway', 'ext' => '47', 'iso2' => 'NO', 'iso3' => 'NOR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Oman', 'ext' => '968', 'iso2' => 'OM', 'iso3' => 'OMN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Pakistan', 'ext' => '92', 'iso2' => 'PK', 'iso3' => 'PAK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Palau', 'ext' => '680', 'iso2' => 'PW', 'iso3' => 'PLW', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Palestine', 'ext' => '970', 'iso2' => 'PS', 'iso3' => 'PSE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Panama', 'ext' => '507', 'iso2' => 'PA', 'iso3' => 'PAN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Papua New Guinea', 'ext' => '675', 'iso2' => 'PG', 'iso3' => 'PNG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Paraguay', 'ext' => '595', 'iso2' => 'PY', 'iso3' => 'PRY', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Peru', 'ext' => '51', 'iso2' => 'PE', 'iso3' => 'PER', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Philippines', 'ext' => '63', 'iso2' => 'PH', 'iso3' => 'PHL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Pitcairn', 'ext' => '64', 'iso2' => 'PN', 'iso3' => 'PCN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Poland', 'ext' => '48', 'iso2' => 'PL', 'iso3' => 'POL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Portugal', 'ext' => '351', 'iso2' => 'PT', 'iso3' => 'PRT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Puerto Rico', 'ext' => '1-787, 1-939', 'iso2' => 'PR', 'iso3' => 'PRI', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Qatar', 'ext' => '974', 'iso2' => 'QA', 'iso3' => 'QAT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Republic of the Congo', 'ext' => '242', 'iso2' => 'CG', 'iso3' => 'COG', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Reunion', 'ext' => '262', 'iso2' => 'RE', 'iso3' => 'REU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Romania', 'ext' => '40', 'iso2' => 'RO', 'iso3' => 'ROU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Russia', 'ext' => '7', 'iso2' => 'RU', 'iso3' => 'RUS', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Rwanda', 'ext' => '250', 'iso2' => 'RW', 'iso3' => 'RWA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saint Barthelemy', 'ext' => '590', 'iso2' => 'BL', 'iso3' => 'BLM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saint Helena', 'ext' => '290', 'iso2' => 'SH', 'iso3' => 'SHN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saint Kitts and Nevis', 'ext' => '1-869', 'iso2' => 'KN', 'iso3' => 'KNA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saint Lucia', 'ext' => '1-758', 'iso2' => 'LC', 'iso3' => 'LCA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saint Martin', 'ext' => '590', 'iso2' => 'MF', 'iso3' => 'MAF', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saint Pierre and Miquelon', 'ext' => '508', 'iso2' => 'PM', 'iso3' => 'SPM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saint Vincent and the Grenadines', 'ext' => '1-784', 'iso2' => 'VC', 'iso3' => 'VCT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Samoa', 'ext' => '685', 'iso2' => 'WS', 'iso3' => 'WSM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'San Marino', 'ext' => '378', 'iso2' => 'SM', 'iso3' => 'SMR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Sao Tome and Principe', 'ext' => '239', 'iso2' => 'ST', 'iso3' => 'STP', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Saudi Arabia', 'ext' => '966', 'iso2' => 'SA', 'iso3' => 'SAU', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Senegal', 'ext' => '221', 'iso2' => 'SN', 'iso3' => 'SEN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Serbia', 'ext' => '381', 'iso2' => 'RS', 'iso3' => 'SRB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Seychelles', 'ext' => '248', 'iso2' => 'SC', 'iso3' => 'SYC', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Sierra Leone', 'ext' => '232', 'iso2' => 'SL', 'iso3' => 'SLE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Singapore', 'ext' => '65', 'iso2' => 'SG', 'iso3' => 'SGP', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Sint Maarten', 'ext' => '1-721', 'iso2' => 'SX', 'iso3' => 'SXM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Slovakia', 'ext' => '421', 'iso2' => 'SK', 'iso3' => 'SVK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Slovenia', 'ext' => '386', 'iso2' => 'SI', 'iso3' => 'SVN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Solomon Islands', 'ext' => '677', 'iso2' => 'SB', 'iso3' => 'SLB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Somalia', 'ext' => '252', 'iso2' => 'SO', 'iso3' => 'SOM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'South Africa', 'ext' => '27', 'iso2' => 'ZA', 'iso3' => 'ZAF', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'South Korea', 'ext' => '82', 'iso2' => 'KR', 'iso3' => 'KOR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'South Sudan', 'ext' => '211', 'iso2' => 'SS', 'iso3' => 'SSD', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Spain', 'ext' => '34', 'iso2' => 'ES', 'iso3' => 'ESP', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Sri Lanka', 'ext' => '94', 'iso2' => 'LK', 'iso3' => 'LKA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Sudan', 'ext' => '249', 'iso2' => 'SD', 'iso3' => 'SDN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Suriname', 'ext' => '597', 'iso2' => 'SR', 'iso3' => 'SUR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Svalbard and Jan Mayen', 'ext' => '47', 'iso2' => 'SJ', 'iso3' => 'SJM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Swaziland', 'ext' => '268', 'iso2' => 'SZ', 'iso3' => 'SWZ', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Sweden', 'ext' => '46', 'iso2' => 'SE', 'iso3' => 'SWE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Switzerland', 'ext' => '41', 'iso2' => 'CH', 'iso3' => 'CHE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Syria', 'ext' => '963', 'iso2' => 'SY', 'iso3' => 'SYR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Taiwan', 'ext' => '886', 'iso2' => 'TW', 'iso3' => 'TWN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Tajikistan', 'ext' => '992', 'iso2' => 'TJ', 'iso3' => 'TJK', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Tanzania', 'ext' => '255', 'iso2' => 'TZ', 'iso3' => 'TZA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Thailand', 'ext' => '66', 'iso2' => 'TH', 'iso3' => 'THA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Togo', 'ext' => '228', 'iso2' => 'TG', 'iso3' => 'TGO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Tokelau', 'ext' => '690', 'iso2' => 'TK', 'iso3' => 'TKL', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Tonga', 'ext' => '676', 'iso2' => 'TO', 'iso3' => 'TON', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Trinidad and Tobago', 'ext' => '1-868', 'iso2' => 'TT', 'iso3' => 'TTO', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Tunisia', 'ext' => '216', 'iso2' => 'TN', 'iso3' => 'TUN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Turkey', 'ext' => '90', 'iso2' => 'TR', 'iso3' => 'TUR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Turkmenistan', 'ext' => '993', 'iso2' => 'TM', 'iso3' => 'TKM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Turks and Caicos Islands', 'ext' => '1-649', 'iso2' => 'TC', 'iso3' => 'TCA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Tuvalu', 'ext' => '688', 'iso2' => 'TV', 'iso3' => 'TUV', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'U.S. Virgin Islands', 'ext' => '1-340', 'iso2' => 'VI', 'iso3' => 'VIR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Uganda', 'ext' => '256', 'iso2' => 'UG', 'iso3' => 'UGA', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Ukraine', 'ext' => '380', 'iso2' => 'UA', 'iso3' => 'UKR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'United Arab Emirates', 'ext' => '971', 'iso2' => 'AE', 'iso3' => 'ARE', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'United Kingdom', 'ext' => '44', 'iso2' => 'GB', 'iso3' => 'GBR', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'United States', 'ext' => '1', 'iso2' => 'US', 'iso3' => 'USA', 'currency_prefix' => 'USD', 'currency_suffix' => ''],
            ['name' => 'Uruguay', 'ext' => '598', 'iso2' => 'UY', 'iso3' => 'URY', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Uzbekistan', 'ext' => '998', 'iso2' => 'UZ', 'iso3' => 'UZB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Vanuatu', 'ext' => '678', 'iso2' => 'VU', 'iso3' => 'VUT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Vatican', 'ext' => '379', 'iso2' => 'VA', 'iso3' => 'VAT', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Venezuela', 'ext' => '58', 'iso2' => 'VE', 'iso3' => 'VEN', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Vietnam', 'ext' => '84', 'iso2' => 'VN', 'iso3' => 'VNM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Wallis and Futuna', 'ext' => '681', 'iso2' => 'WF', 'iso3' => 'WLF', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Western Sahara', 'ext' => '212', 'iso2' => 'EH', 'iso3' => 'ESH', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Yemen', 'ext' => '967', 'iso2' => 'YE', 'iso3' => 'YEM', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Zambia', 'ext' => '260', 'iso2' => 'ZM', 'iso3' => 'ZMB', 'currency_prefix' => '', 'currency_suffix' => ''],
            ['name' => 'Zimbabwe', 'ext' => '263', 'iso2' => 'ZW', 'iso3' => 'ZWE', 'currency_prefix' => '', 'currency_suffix' => ''],
        ];
    }
}
